Installation bloquée

Bonjour
Suite à l’installation
php
mysql
privileges accordés

a la page de config
je rentre les données et la page se rafraichi mais reste blanche, rien ne se passe
je rĂ©essaye avec les mĂȘme informations, il me prĂ©cise que le super admin est dĂ©ja crĂ©e,
j’ai rĂ©essayĂ© de creer d’ autres super admin, c’est le mĂȘme soucis

merci de votre aide

Bonsoir @arvino , pourriez vous donnez plus d’infos sur votre systĂšme ( type d’installation , systĂšme utilisĂ© , etc
)

linux mint
j’ai installĂ© php 7.4 et mariadb
j’ai suivi tuto homputersecurity.com , trouver sur la toile

fonctionne en localhost, j’essaye sur une machine avant de mettre sur serveur
dédié

@arvino utilisez vous apache ou nginx ?

apache
je suis débutant

@arvino est ce bien ce tutoriel que vous avez utilisez ? Comment crĂ©er votre propre service cloud avec Nextcloud ? – Homputer Security
et quelle versions de nextcloud utilisez vous ?

si vous avez installez php 7 comme sur le tutoriel ci-dessus sachez qu’il n’est plus compatible avec les versions supĂ©rieur a nextcloud 15

pour utiliser les versions plus récente veuillez utilisez php 7.4

oui tout a fait
comment puis-je etre sur de la version installé du coup

@arvino
faites cette commande : php -v

voici :

PHP 7.4.3 (cli) (built: Oct 6 2020 15:47:56) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
with Zend OPcache v7.4.3, Copyright (c), by Zend Technologi

pour nextcloud , j’ai retrouvĂ© ma ligne de commande celle la 12 .0.0

@arvino le soucis que vous avez est que nextcloud 12 ne supporte que php 7.0 et 7.1 (System Requirements — Nextcloud 12 Server Administration Manual 12 documentation) et non php7.4 . De plus pour plus de sĂ©curitĂ© il est conseillĂ© d’utiliser des versions maintenu par la communautĂ©.
par conséquent je vous recommande les versions 21 , 20 et 19.

ok du coup je réinstalle une version avec une ligne :slight_smile:

#sudo apt-install#

ou il y a une ligne pour upgrade ?

merci en tout cas de votre soutien,

1 Like

@arvino , je vous conseille de nettoyer votre base de donné et de supprimez le dossier nextcloud et de retélécharger une version plus récente.

pour nettoyer la basez de donnée il suffit de la supprimez et de la recrer :
DROP DATABASE nextclouddb ;

CREATE DATABASE nextclouddb CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci; ( cette ligne sert a changer le type de base de donnée , cette derniÚre accepte plus de caractÚre)

GRANT ALL PRIVILEGES ON **nextclouddb** .* TO '**nextcloud** '@'**localhost** ';

de plus les modules de php que vous avez ne sont pas complet pour les nouvelle versions:

sudo apt-get install php zip libapache2-mod-php php-gd php-json php-mysql php-curl php-mbstring php-intl php-imagick php-xml php-zip php-mysql php-bcmath php-gmp php-apcu -y

si vous voulez plus d’information j’ai rĂ©diger un tutos pour la versions 21 ( voir le menu cachĂ© par un flĂšche) : Making a nextcloud server on old laptop with personal domain - #5 by Mageunic

merci Beaucoup , je vais suivre votre tuto

1 Like

Bonjour
J’ai suivi votre tuto,

a vrai dire je coince ça ne fonctionne pas

peut etre soucis dans mon .
conf

@arvino pourriez vous envoyer les erreurs que vous rencontrez ?

quand je tape mon adresse ip et /nextcloud
voici

Not Found

The requested URL was not found on this server.

Apache/2.4.41 (Ubuntu) Server at 192.168.0.154 Port 80

je veux travailler en local dans 1 premier temps .
192.168.0.154 est mon ip

@arvino pouvez vous envoyer votre fichier apache pour le nextcloud ?